Update Card User
curl --request PUT \
--url https://sandbox.getmipay.com/api/virtual-cards/users/{userReference} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Doe",
"last_name": "John",
"email": "john@gmail.com",
"country_code": "+237",
"contact": "697028808",
"dob": "1985-05-15T18:36:57+00:00",
"billing_address": "Logbessou",
"billing_city": "Douala",
"billing_country": "CM",
"billing_state": "Littoral",
"billing_postal_code": "1234",
"id_number": "125464",
"is_business": false,
"business_name": null
}
'import requests
url = "https://sandbox.getmipay.com/api/virtual-cards/users/{userReference}"
payload = {
"first_name": "Doe",
"last_name": "John",
"email": "john@gmail.com",
"country_code": "+237",
"contact": "697028808",
"dob": "1985-05-15T18:36:57+00:00",
"billing_address": "Logbessou",
"billing_city": "Douala",
"billing_country": "CM",
"billing_state": "Littoral",
"billing_postal_code": "1234",
"id_number": "125464",
"is_business": False,
"business_name": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Doe',
last_name: 'John',
email: 'john@gmail.com',
country_code: '+237',
contact: '697028808',
dob: '1985-05-15T18:36:57+00:00',
billing_address: 'Logbessou',
billing_city: 'Douala',
billing_country: 'CM',
billing_state: 'Littoral',
billing_postal_code: '1234',
id_number: '125464',
is_business: false,
business_name: null
})
};
fetch('https://sandbox.getmipay.com/api/virtual-cards/users/{userReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Virtual card user created successfully",
"data": {
"id": 12,
"merchant_id": 3,
"reference": "SP6A9F21D0VC",
"first_name": "Alex",
"last_name": "Moris",
"email": "alex.moris@example.com",
"contact": "690112233",
"dob": "1994-03-21T00:00:00.000000Z",
"country_code": "237",
"billing_name": "Alex Moris",
"is_business": false,
"business_name": null,
"billing_address": "Carrefour Bastos",
"billing_city": "Yaoundé",
"billing_country": "CM",
"billing_state": "Centre",
"billing_postal_code": "00123",
"id_number": "CNI004829191",
"status": "active",
"created_at": "2025-10-02T12:45:30.000000Z",
"updated_at": "2025-10-02T12:45:30.000000Z"
}
}{
"success": false,
"message": "Invalid KEY",
"error_code": "INVALID_PUBLIC_KEY"
}{
"success": false,
"message": "Invalid KEY",
"error_code": "INVALID_PUBLIC_KEY"
}Virtual Cards
Update Card User
Update a virtual-card user by user reference.
PUT
/
virtual-cards
/
users
/
{userReference}
Update Card User
Authorizations
JWT bearer token returned by POST /action/auth. Send protected requests with: Authorization: Bearer . Tokens expire after 24 hours.
Path Parameters
Virtual-card user reference
Body
application/json
Fields to update for the card user
Example:
"Doe"
Example:
"John"
Example:
"john@gmail.com"
Example:
"+237"
Example:
"697028808"
Example:
"1985-05-15T18:36:57+00:00"
Example:
"Logbessou"
Example:
"Douala"
Example:
"CM"
Example:
"Littoral"
Example:
"1234"
Example:
"125464"
Example:
false
Example:
null
⌘I
